Mabox, Warning: cannot resolve "pacman>=5.1"

pacman

#1

I’ve just installed Mabox on an old laptop. I’m getting this when running sudo pacman -Syyu

(snip)
warning: cannot resolve “pacman>=5.1”, a dependency of “package-query”
warning: cannot resolve “pacman>=5.1”, a dependency of “pamac”
warning: cannot resolve “pacman>=5.1”, a dependency of “yaourt”
warning: cannot resolve “pacman>=5.1”, a dependency of “package-query”
warning: cannot resolve “package-query>=1.9”, a dependency of “yaourt”
:: The following packages cannot be upgraded due to unresolvable dependencies:
package-query pamac yaourt

then it downloads a fair bit, and does this:

774/774) checking keys in keyring [######################] 100%
(774/774) checking package integrity [######################] 100%
(774/774) loading package files [######################] 100%
(774/774) checking for file conflicts [######################] 100%
error: failed to commit transaction (conflicting files)
arc-gtk-theme: /usr/share/themes/Arc-Dark/openbox-3/close.xbm exists in filesystem
arc-gtk-theme: /usr/share/themes/Arc-Dark/openbox-3/desk.xbm exists in filesystem
arc-gtk-theme: /usr/share/themes/Arc-Dark/openbox-3/desk_toggled.xbm exists in filesystem
arc-gtk-theme: /usr/share/themes/Arc-Dark/openbox-3/iconify.xbm exists in filesystem
arc-gtk-theme: /usr/share/themes/Arc-Dark/openbox-3/max.xbm exists in filesystem
arc-gtk-theme: /usr/share/themes/Arc-Dark/openbox-3/max_toggled.xbm exists in filesystem
arc-gtk-theme: /usr/share/themes/Arc-Dark/openbox-3/shade.xbm exists in filesystem
arc-gtk-theme: /usr/share/themes/Arc-Dark/openbox-3/shade_toggled.xbm exists in filesystem
arc-gtk-theme: /usr/share/themes/Arc-Dark/openbox-3/themerc exists in filesystem
arc-gtk-theme: /usr/share/themes/Arc-Darker/openbox-3/close.xbm exists in filesystem
arc-gtk-theme: /usr/share/themes/Arc-Darker/openbox-3/desk.xbm exists in filesystem
arc-gtk-theme: /usr/share/themes/Arc-Darker/openbox-3/desk_toggled.xbm exists in filesystem
arc-gtk-theme: /usr/share/themes/Arc-Darker/openbox-3/iconify.xbm exists in filesystem
arc-gtk-theme: /usr/share/themes/Arc-Darker/openbox-3/max.xbm exists in filesystem
arc-gtk-theme: /usr/share/themes/Arc-Darker/openbox-3/max_toggled.xbm exists in filesystem
arc-gtk-theme: /usr/share/themes/Arc-Darker/openbox-3/shade.xbm exists in filesystem
arc-gtk-theme: /usr/share/themes/Arc-Darker/openbox-3/shade_toggled.xbm exists in filesystem
arc-gtk-theme: /usr/share/themes/Arc-Darker/openbox-3/themerc exists in filesystem
arc-gtk-theme: /usr/share/themes/Arc/openbox-3/close.xbm exists in filesystem
arc-gtk-theme: /usr/share/themes/Arc/openbox-3/desk.xbm exists in filesystem
arc-gtk-theme: /usr/share/themes/Arc/openbox-3/desk_toggled.xbm exists in filesystem
arc-gtk-theme: /usr/share/themes/Arc/openbox-3/iconify.xbm exists in filesystem
arc-gtk-theme: /usr/share/themes/Arc/openbox-3/max.xbm exists in filesystem
arc-gtk-theme: /usr/share/themes/Arc/openbox-3/max_toggled.xbm exists in filesystem
arc-gtk-theme: /usr/share/themes/Arc/openbox-3/shade.xbm exists in filesystem
arc-gtk-theme: /usr/share/themes/Arc/openbox-3/shade_toggled.xbm exists in filesystem
arc-gtk-theme: /usr/share/themes/Arc/openbox-3/themerc exists in filesystem
libglvnd: /usr/lib/libEGL.so exists in filesystem
libglvnd: /usr/lib/libEGL.so.1 exists in filesystem
libglvnd: /usr/lib/libGL.so exists in filesystem
libglvnd: /usr/lib/libGL.so.1 exists in filesystem
libglvnd: /usr/lib/libGLESv1_CM.so exists in filesystem
libglvnd: /usr/lib/libGLESv1_CM.so.1 exists in filesystem
libglvnd: /usr/lib/libGLESv2.so exists in filesystem
libglvnd: /usr/lib/libGLESv2.so.2 exists in filesystem
lib32-libglvnd: /usr/lib32/libEGL.so exists in filesystem
lib32-libglvnd: /usr/lib32/libEGL.so.1 exists in filesystem
lib32-libglvnd: /usr/lib32/libGL.so exists in filesystem
lib32-libglvnd: /usr/lib32/libGL.so.1 exists in filesystem
lib32-libglvnd: /usr/lib32/libGLESv1_CM.so exists in filesystem
lib32-libglvnd: /usr/lib32/libGLESv1_CM.so.1 exists in filesystem
lib32-libglvnd: /usr/lib32/libGLESv2.so exists in filesystem
lib32-libglvnd: /usr/lib32/libGLESv2.so.2 exists in filesystem
xorg-server: /usr/lib/xorg/modules/extensions/libglx.so exists in filesystem
Errors occurred, no packages were upgraded.

So, it wants pacman >= 5.1, but I have:
Pacman v5.0.1 - libalpm v10.0.1

Vital statistics:
CPU~Dual core Intel Core2 Duo P8600 (-MCP-) speed/max~1600/2401 MHz Kernel~4.9.6-1-MANJARO x86_64 Up~19 min Mem~644.9/1966.2MB HDD~320.1GB(1.6% used) Procs~139 Client~Shell inxi~2.3.8

Linux zero 4.9.6-1-MANJARO #1 SMP PREEMPT Thu Jan 26 12:29:20 UTC 2017 x86_64 GNU/Linux

|Distributor ID:|MaboxLinux|
|Description:|Mabox Linux|
|Release:|17.02|
|Codename:|Angouleme|

Can someone please tell me how to fix this? I have Manjaro KDE running on another (newer) laptop, and it sems fine. Is it perhaps an issue with Mabox?
Thanks



#2

Mabox is an old unsopperted unofficial spin, new images can’t be made since iso profile isn’t public

Use an official or community edition (the Openbox one?)

See Package installation says FILENAME exists in filesystem; "Failed to commit transaction (conflicting files)"

For arc-gtk-theme likely files has been put one the image (not packaged) but now are included in the arc-gtk-theme package

For libglvnd and libglx.so I guess is old news now and covered in the forum before


Moving to Unofficial spin sub-category


#3

Mabox uses a self build (I think) version of pacman.

Comment the lines in /etc/pacman.conf which refers to the mabox repo.

Then update your mirrorlist and update

sudo pacman-mirrors -f10 && sudo pacman -Syyu

#4

Thanks. I didn’t know about the official Manjaro Openbox spin: I thought Mabox was it. I’ll give that a try on Monday. But in the mean time, I’ll try fhdk’s suggestion.


#5

An update: I commented out mabox references in /etc/pacman.conf and re-ran the mirrors and update. No change. I’ll make do with it for the weekend. Thanks again.


#6

There is nothing extra to download - as soon as you get rid of the offending files you are good to go.

Do it the hard way (my old recipe when I took up Openbox)

sudo rm -rf /usr/share/themes/Arc /usr/share/themes/Arc-Darker
sudo rm -f /usr/lib/libEGL* /usr/lib/libGL* /usr/lib32/libEGL* /usr/lib32/libGL* /usr/lib/xorg/modules/extensions/libglx.so

Then

sudo pacman -Syu

#7

Hi, something may have updated. I followed your steps in the last reply and also deleted /usr/share/themes/Arc-Dark/openbox-3

The updates then worked.

Cheers,


closed #8

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.